Debian Bug report logs - #622192
pu: package softhsm/1.1.4-4

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Ondřej Surý <ondrej@debian.org>

Date: Sun, 10 Apr 2011 20:12:01 UTC

Severity: normal

Tags: confirmed

Fixed in version 6.0.2

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622192; Package release.debian.org. (Sun, 10 Apr 2011 20:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 10 Apr 2011 20:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package softhsm/1.1.4-4
Date: Sun, 10 Apr 2011 22:08:23 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

Hi,

this is similar problem with reversed group removal and dpkg-statoverride removal.

The patch is very simple:

diff --git a/debian/softhsm-common.postrm b/debian/softhsm-common.postrm
index b38ed33..eb0c1a3 100644
--- a/debian/softhsm-common.postrm
+++ b/debian/softhsm-common.postrm
@@ -10,9 +10,6 @@ unset_perms() {
 case "$1" in
     purge)
 
-       # delete old group
-       delgroup --quiet softhsm > /dev/null || true
-
        unset_perms /etc/softhsm
        unset_perms /var/lib/softhsm
 
@@ -33,6 +30,9 @@ case "$1" in
            ucfr --purge softhsm /etc/softhsm/softhsm.conf
        fi
 
+       # delete old group
+       delgroup --quiet softhsm > /dev/null || true
+
     ;;
 
     remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)


Regards,
Ondrej

-- System Information:
Debian Release: squeeze/sid
  APT prefers maverick-updates
  APT policy: (500, 'maverick-updates'), (500, 'maverick-security'), (500, 'maverick-proposed'), (500, 'maverick-backports'), (500, 'maverick')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35-28-generic (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622192; Package release.debian.org. (Fri, 15 Apr 2011 17:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 15 Apr 2011 17:45:07 GMT) Full text and rfc822 format available.

Message #10 received at 622192@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Ondřej Surý <ondrej@debian.org>, 622192@bugs.debian.org
Subject: Re: Bug#622192: pu: package softhsm/1.1.4-4
Date: Fri, 15 Apr 2011 18:44:16 +0100
tag 622192 + confirmed
thanks

On Sun, 2011-04-10 at 22:08 +0200, Ondřej Surý wrote:
> this is similar problem with reversed group removal and dpkg-statoverride removal.

Please go ahead.

Regards,

Adam





Added tag(s) confirmed. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 15 Apr 2011 17:45:19 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 01 May 2011 14:30:05 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 6.0.2, send any further explanations to Ondřej Surý <ondrej@debian.org> Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 26 Jun 2011 15:03:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jul 2011 07:47:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 18:58:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.